DefaultCommonsHTTPClientProperties (Axis API)
Keywords: org.apache.axis.components.net.DefaultCommonsHTTPClientProperties class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.net
Class DefaultCommonsHTTPClientProperties

    java.lang.Object
      org.apache.axis.components.net.DefaultCommonsHTTPClientProperties

All Implemented Interfaces:
  CommonsHTTPClientProperties

public class DefaultCommonsHTTPClientProperties
extends java.lang.Object
implements CommonsHTTPClientProperties

Default property set for the of the multi threaded connection pool used in the CommonsHTTPSender transport implementation. Values returned by this implementation are identical to the defaults for the Commons HTTPClient library itself, unless overridden with Axis properties.

Author:
  Eric Friedman

Field Summary
`static java.lang.String` | `CONNECTION_DEFAULT_CONNECTION_TIMEOUT_KEY` the key for the Axis Property that sets the default connection timeout for the httpclient, can be overriden by the MessageContext
`static java.lang.String` | `CONNECTION_DEFAULT_SO_TIMEOUT_KEY` the key for the Axis Property that sets the read timeout for the httpclient
`static java.lang.String` | `CONNECTION_POOL_TIMEOUT_KEY` the key for the Axis Property that sets the connection pool timeout for the httpclient pool
`static java.lang.String` | `MAXIMUM_CONNECTIONS_PER_HOST_PROPERTY_KEY` the key for the Axis Property that controls the maximum connections per host allowed by the httpclient pool
`static java.lang.String` | `MAXIMUM_TOTAL_CONNECTIONS_PROPERTY_KEY` the key for the Axis Property that controls the maximum total connections allowed in the httpclient pool

Constructor Summary
`DefaultCommonsHTTPClientProperties()`

Method Summary
`int` | `getConnectionPoolTimeout()` Return the integer value associated with the property axis.http.client.connection.pool.timeout or a default of 0.
`int` | `getDefaultConnectionTimeout()` Return the integer value associated with the property axis.http.client.connection.default.connection.timeout or a default of 0.
`int` | `getDefaultSoTimeout()` Return the integer value associated with the property axis.http.client.connection.default.so.timeout or a default of 0.
`protected int` | `getIntegerProperty(java.lang.String property, java.lang.String dephault)` Convert the value for `property` into an int or, if none is found, use the `dephault` value instead.
`int` | `getMaximumConnectionsPerHost()` Return the integer value associated with the property axis.http.client.maximum.connections.per.host or a default of 2.
`int` | `getMaximumTotalConnections()` Return the integer value associated with the property axis.http.client.maximum.total.connections or a default of 20.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAXIMUM_TOTAL_CONNECTIONS_PROPERTY_KEY

    public static final java.lang.String MAXIMUM_TOTAL_CONNECTIONS_PROPERTY_KEY

  the key for the Axis Property that controls the maximum total connections allowed in the httpclient pool

  See Also:
    Constant Field Values

### MAXIMUM_CONNECTIONS_PER_HOST_PROPERTY_KEY

    public static final java.lang.String MAXIMUM_CONNECTIONS_PER_HOST_PROPERTY_KEY

  the key for the Axis Property that controls the maximum connections per host allowed by the httpclient pool

  See Also:
    Constant Field Values

### CONNECTION_POOL_TIMEOUT_KEY

    public static final java.lang.String CONNECTION_POOL_TIMEOUT_KEY

  the key for the Axis Property that sets the connection pool timeout for the httpclient pool

  See Also:
    Constant Field Values

### CONNECTION_DEFAULT_CONNECTION_TIMEOUT_KEY

    public static final java.lang.String CONNECTION_DEFAULT_CONNECTION_TIMEOUT_KEY

  the key for the Axis Property that sets the default connection timeout for the httpclient, can be overriden by the MessageContext

  See Also:
    Constant Field Values

### CONNECTION_DEFAULT_SO_TIMEOUT_KEY

    public static final java.lang.String CONNECTION_DEFAULT_SO_TIMEOUT_KEY

  the key for the Axis Property that sets the read timeout for the httpclient

  See Also:
    Constant Field Values

Constructor Detail

### DefaultCommonsHTTPClientProperties

    public DefaultCommonsHTTPClientProperties()

Method Detail

### getIntegerProperty

    protected final int getIntegerProperty(java.lang.String property,
                                           java.lang.String dephault)

  Convert the value for `property` into an int or, if none is found, use the `dephault` value instead.

  Returns:
    an integer value

### getMaximumTotalConnections

    public int getMaximumTotalConnections()

  Return the integer value associated with the property axis.http.client.maximum.total.connections or a default of 20.

  Specified by:
    `getMaximumTotalConnections` in interface `CommonsHTTPClientProperties`
  Returns:
    a whole integer

### getMaximumConnectionsPerHost

    public int getMaximumConnectionsPerHost()

  Return the integer value associated with the property axis.http.client.maximum.connections.per.host or a default of 2.

  Specified by:
    `getMaximumConnectionsPerHost` in interface `CommonsHTTPClientProperties`
  Returns:
    a whole integer

### getConnectionPoolTimeout

    public int getConnectionPoolTimeout()

  Return the integer value associated with the property axis.http.client.connection.pool.timeout or a default of 0.

  Specified by:
    `getConnectionPoolTimeout` in interface `CommonsHTTPClientProperties`
  Returns:
    an integer >= 0

### getDefaultConnectionTimeout

    public int getDefaultConnectionTimeout()

  Return the integer value associated with the property axis.http.client.connection.default.connection.timeout or a default of 0.

  Specified by:
    `getDefaultConnectionTimeout` in interface `CommonsHTTPClientProperties`
  Returns:
    an integer >= 0

### getDefaultSoTimeout

    public int getDefaultSoTimeout()

  Return the integer value associated with the property axis.http.client.connection.default.so.timeout or a default of 0.

  Specified by:
    `getDefaultSoTimeout` in interface `CommonsHTTPClientProperties`
  Returns:
    an integer >= 0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.